Package org.eclipse.birt.report.engine.emitter

# Class ImageReader

java.lang.Object
org.eclipse.birt.report.engine.emitter.ImageReader

public class ImageReader extends Object
Image reader of pdf output

Since:
  3.3

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Logger`
`logger`
`static final int`
`OBJECT_LOADED_SUCCESSFULLY`
property: image read status, object loaded successfully
`static final int`
`OBJECT_UNLOADED`
property: image read status, unloaded
`static final int`
`RESOURCE_UNREACHABLE`
property: image read status, resource unreachable
`static final int`
`TYPE_CONVERTED_SVG_OBJECT`
property: type image object, converted svg image
`static final int`
`TYPE_FLASH_OBJECT`
property: type image object, flash
`static final int`
`TYPE_IMAGE_OBJECT`
property: type image object, raster image
`static final int`
`TYPE_SVG_OBJECT`
property: type image object, svg image
`static final int`
`UNSUPPORTED_OBJECTS`
property: image read status, unsupported object

## Constructor Summary

Constructors
Constructor
Description
`ImageReader(IImageContent content, String supportedImageFormats)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getByteArray()`
Get the byte array of the image
`int`
`getType()`
Get the image type
`int`
`read()`
Read the image

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_IMAGE_OBJECT

public static final int TYPE_IMAGE_OBJECT
property: type image object, raster image

See Also:
  - Constant Field Values

### TYPE_FLASH_OBJECT

public static final int TYPE_FLASH_OBJECT
property: type image object, flash

See Also:
  - Constant Field Values

### TYPE_SVG_OBJECT

public static final int TYPE_SVG_OBJECT
property: type image object, svg image

See Also:
  - Constant Field Values

### TYPE_CONVERTED_SVG_OBJECT

public static final int TYPE_CONVERTED_SVG_OBJECT
property: type image object, converted svg image

See Also:
  - Constant Field Values

### OBJECT_UNLOADED

public static final int OBJECT_UNLOADED
property: image read status, unloaded

See Also:
  - Constant Field Values

### RESOURCE_UNREACHABLE

public static final int RESOURCE_UNREACHABLE
property: image read status, resource unreachable

See Also:
  - Constant Field Values

### UNSUPPORTED_OBJECTS

public static final int UNSUPPORTED_OBJECTS
property: image read status, unsupported object

See Also:
  - Constant Field Values

### OBJECT_LOADED_SUCCESSFULLY

public static final int OBJECT_LOADED_SUCCESSFULLY
property: image read status, object loaded successfully

See Also:
  - Constant Field Values

### logger

protected static Logger logger

## Constructor Details

### ImageReader

public ImageReader(IImageContent content, String supportedImageFormats)
Constructor

Parameters:
  `content` - content environment of the image
  `supportedImageFormats` - supported image formats

## Method Details

### read

public int read()
Read the image

Returns:
  Return the read status

### getByteArray

public byte[] getByteArray()
Get the byte array of the image

Returns:
  Return the byte array of the image

### getType

public int getType()
Get the image type

Returns:
  Return the image type